﻿Imports ASPSnippets.FaceBookAPI
Imports System.Collections.Generic

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        FaceBookConnect.API_Key = "<Your API Key>"
        FaceBookConnect.API_Secret = "<Your API Secret>"
        If Not IsPostBack Then
            Dim code As String = Request.QueryString("code")
            If Not String.IsNullOrEmpty(code) Then
                ViewState("Code") = code
                pnlPost.Enabled = True
                btnAuthorize.Enabled = False
            End If
        End If
    End Sub

    Protected Sub Authorize(ByVal sender As Object, ByVal e As EventArgs)
        FaceBookConnect.Authorize("publish_actions", Request.Url.AbsoluteUri)
    End Sub

    Protected Sub Post(ByVal sender As Object, ByVal e As EventArgs)
        Dim data As Dictionary(Of String, String) = New Dictionary(Of String, String)
        data.Add("message", txtMessage.Text)
        FaceBookConnect.Post(ViewState("Code").ToString, "me/feed", data)
        Response.Redirect("http://www.facebook.com/me/")
    End Sub


End Class

